#!/bin/bash

# DL_PREFIX="https://slt.wolf-stuttgart.net/update/template"

cat res/prefix.template > slt-update.xml

find releases -name slt-\* | while read f
do
	
	VSTR=`echo "$f" | sed -E 's@releases/slt-@@; s@^([0-9]+\.[0-9]+\.[0-9]+).*$@\1@'`
	
	FILE=`echo "$f" | sed 's@releases/@@'`
	FORMAT=`echo "$f" | sed -E 's@^.*[0-9]+\.[0-9]+\.[0-9]+\.@@'`
	
	sed '
		s@__VERSION__@'"$VSTR"'@g;
		s@__DOWNLOAD_URL__@'"$DL_PREFIX/files/$FILE"'@g;
		s@__FORMAT__@'"$FORMAT"'@g
		' res/update.template >> slt-update.xml
	
done

cat res/postfix.template >> slt-update.xml
